Package: org.grails.boot.context.web

## [Groovy] Class GrailsAppServletInitializer

- org.grails.boot.context.web.GrailsAppServletInitializer

- Ensure a GrailsApp in constructed during servlet initialization

  Authors:
    Graeme Rocher
  Since:
    3.0.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.web.context.WebApplicationContext` | `createRootApplicationContext(javax.servlet.ServletContext servletContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.context.web.SpringBootServletInitializer` | `org.springframework.boot.context.web.SpringBootServletInitializer#onStartup(javax.servlet.ServletContext), org.springframework.boot.context.web.SpringBootServletInitializer#wait(long, int), org.springframework.boot.context.web.SpringBootServletInitializer#wait(long), org.springframework.boot.context.web.SpringBootServletInitializer#wait(), org.springframework.boot.context.web.SpringBootServletInitializer#equals(java.lang.Object), org.springframework.boot.context.web.SpringBootServletInitializer#toString(), org.springframework.boot.context.web.SpringBootServletInitializer#hashCode(), org.springframework.boot.context.web.SpringBootServletInitializer#getClass(), org.springframework.boot.context.web.SpringBootServletInitializer#notify(), org.springframework.boot.context.web.SpringBootServletInitializer#notifyAll()`
    `class org.springframework.boot.web.support.SpringBootServletInitializer` | `org.springframework.boot.web.support.SpringBootServletInitializer#onStartup(javax.servlet.ServletContext), org.springframework.boot.web.support.SpringBootServletInitializer#wait(long, int), org.springframework.boot.web.support.SpringBootServletInitializer#wait(long), org.springframework.boot.web.support.SpringBootServletInitializer#wait(), org.springframework.boot.web.support.SpringBootServletInitializer#equals(java.lang.Object), org.springframework.boot.web.support.SpringBootServletInitializer#toString(), org.springframework.boot.web.support.SpringBootServletInitializer#hashCode(), org.springframework.boot.web.support.SpringBootServletInitializer#getClass(), org.springframework.boot.web.support.SpringBootServletInitializer#notify(), org.springframework.boot.web.support.SpringBootServletInitializer#notifyAll()`

- - ### Method Detail

    - #### protected org.springframework.web.context.WebApplicationContext createRootApplicationContext(javax.servlet.ServletContext servletContext)